﻿@using SportsClub.Areas.Dashboard.Models
@model EditClubUserRoleViewModel

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a ng-if="type =='School'" class="action" ui-sref='Clubs({type:"Schools"})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
            <a ng-if="type =='Provider'" class="action" ui-sref='Clubs({type:"Providers"})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
               {{Model.ClubName}}
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate ng-submit="save()">

        <fieldset>
           
            <div>
              
                <label class="req-star">Club staff</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedUserId)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedUserId)>

                        <select chosen ng-model="@Html.Ang(m => m.SelectedUserId)"
                                name="selectedStaff" data-placeholder="Select the club staff..."
                                ng-options="obj.Id as obj.UserName for obj in Model.ClubUsers" ng-change="changedUser()"></select>
                    </div>
                </div>
                <label >New username for the staff</label>
                <div class="input-control text"  data-role="input-control" @Html.AngValidationClassFor(model => model.NewUserName)>
                    <input ng-model="@Html.Ang(m => m.NewUserName)" type="text" @Html.AngTooltipValidationFor(model => model.NewUserName)  />
                </div>
                <label class="req-star" >Staff role</label>
                <div  class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedRole)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedRole)>
                        <select chosen ng-model="@Html.Ang(m => m.SelectedRole)"
                                name="selectedStaff" data-placeholder="Select the staff's role..."
                                ng-options="obj.Value as obj.Text for obj in Model.JumbulaRoles"></select>

                    </div>
                </div>
            </div>

        </fieldset>

        <div class="clearfix"></div>
        <hr />
        <button type="submit" class="success large place-right">Save</button>

        <a class="place-left button link large" ui-sref='Clubs'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>
